summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCraig Andrews <candrews@gentoo.org>2019-10-09 12:07:42 -0400
committerCraig Andrews <candrews@gentoo.org>2019-10-09 12:08:16 -0400
commiteff7cea579dcaec0c589df9c97209d5a771f150d (patch)
tree4de3fabf8d5ea6b3dfb6bcca6a061854f28637b4
parentapp-admin/hcloud: amd64 stable (diff)
downloadgentoo-eff7cea579dcaec0c589df9c97209d5a771f150d.tar.gz
gentoo-eff7cea579dcaec0c589df9c97209d5a771f150d.tar.bz2
gentoo-eff7cea579dcaec0c589df9c97209d5a771f150d.zip
media-plugins/kodi-visualization-projectm: 2.3.2 version bump
Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Craig Andrews <candrews@gentoo.org>
-rw-r--r--media-plugins/kodi-visualization-projectm/Manifest1
-rw-r--r--media-plugins/kodi-visualization-projectm/kodi-visualization-projectm-2.3.2.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/media-plugins/kodi-visualization-projectm/Manifest b/media-plugins/kodi-visualization-projectm/Manifest
index 14d8c2541fe..7314d7835b5 100644
--- a/media-plugins/kodi-visualization-projectm/Manifest
+++ b/media-plugins/kodi-visualization-projectm/Manifest
@@ -2,3 +2,4 @@ DIST kodi-visualization-projectm-2.1.0.tar.gz 2479742 BLAKE2B e0fc2953ef1d242aa8
DIST kodi-visualization-projectm-2.2.0.tar.gz 2478953 BLAKE2B 89e4d75de74b920dcb4829303c20cbafa5bcf843279c98817c35aca547408b961e6df9d1fd8f0bbdd3113ab2f5836c6b5f353e6f363f896b79341742d4850bf2 SHA512 6b16f6d186d7ab3bcc84ef60a1227f61a6244c2328ba685d606a29dd6b8e08270e58de26498af274970c3e2ad0a41597cd091a30209ad05c88bb8313995ae3a7
DIST kodi-visualization-projectm-2.3.0.tar.gz 2478538 BLAKE2B 17da0bb095e778c355dbe2b9d1452961a5ae1520a86e9c0ad87a0a2e46ff8b85a88eaafcb4b35b66881540eb2126b54333cb8555e20a10661a0f987c59792a85 SHA512 85ef698652d8f4b57019566353a5d9f60b2feb22e3931316fd060c0fef7cee4f041da15a846a8b0a6687ad6685fa8e0baf48b1c637b25d8d590e72052db6048b
DIST kodi-visualization-projectm-2.3.1.tar.gz 2479809 BLAKE2B ee990450e5d7a6187041c0b730fa469e67180d1068110e5398a001a88f0e5bb0f230f58509755a31e321a72416c54e5dc68fa75cf4a3bd6686b7afe8f822b8bb SHA512 8ad446721c83d5c9b55e5b7f8af1be3332319aff590c9cc62a658b033d32df91013623f22ec00d00535b148080b972f0bc92cef4bf74f06b1726ab05341f2bbc
+DIST kodi-visualization-projectm-2.3.2.tar.gz 2479794 BLAKE2B b90b90b11d930ea10f23285976273a4970a09c63dc34833b71a75139c6a18a054884cec96921218aba791969361e7634b0148debba5e1664272c5cd313b3a6d5 SHA512 e7915fd690aa6012a61ace58d6f3868084212775fa30948d5f6be83e8b0437297900b11eb9fffda51531281581349d194457caa0b6e2eadbb2c5357caa58a7f5
diff --git a/media-plugins/kodi-visualization-projectm/kodi-visualization-projectm-2.3.2.ebuild b/media-plugins/kodi-visualization-projectm/kodi-visualization-projectm-2.3.2.ebuild
new file mode 100644
index 00000000000..42a3197de6e
--- /dev/null
+++ b/media-plugins/kodi-visualization-projectm/kodi-visualization-projectm-2.3.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils kodi-addon
+
+DESCRIPTION="ProjectM visualizer for Kodi"
+HOMEPAGE="https://github.com/xbmc/visualization.projectm"
+SRC_URI=""
+
+case ${PV} in
+9999)
+ SRC_URI=""
+ EGIT_REPO_URI="https://github.com/xbmc/visualization.projectm.git"
+ inherit git-r3
+ ;;
+*)
+ KEYWORDS="~amd64 ~x86"
+ CODENAME="Leia"
+ SRC_URI="https://github.com/xbmc/visualization.projectm/archive/${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/visualization.projectm-${PV}-${CODENAME}"
+ ;;
+esac
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+DEPEND="
+ =media-tv/kodi-18*
+ =media-libs/kodi-platform-18*
+ >=media-libs/libprojectm-3.1.1_rc4:=
+ >=media-libs/glm-0.9.9.5
+ virtual/opengl
+ "
+
+RDEPEND="
+ ${DEPEND}
+ "
+
+src_prepare(){
+ [ -d depends ] && rm -rf depends || die
+ cmake-utils_src_prepare
+}